<?php
$seo['title'] = 'Meus Pedidos';
include "topo.php";

Cliente::verificaLogin();
?>

<script>
    $(document).ready(function () {
        $("#dados-meus-pedidos22 a").click(function () {
            id = $(this).attr("id");
            $.post("public/ajax_carregar_detalhes.php", {id: id}, function (retorno) {
                /* limpa div de detalhes */
                $(".div-detalhes").each(function () {
                    $(this).empty();
                });
                $('#detalhes-ajax-produto-' + id).empty();
                $('#detalhes-ajax-produto-' + id).html(retorno);
            });
        })
    })
</script>

<h2 class="titulo mg-tp-20 mg-bt-40">Meus pedidos</h2>

<?php
// carrega pedidos
$lista = Pedido::listar("AND c.id = " . $_SESSION['rz2']['cliente']['id'] . " ORDER BY p.id DESC");
if (!$lista) { ?>
    <p class="msgErro">&nbsp;&nbsp;&nbsp;&nbsp;Você não realizou nenhum pedido até o momento</p>
<?php } else { ?>
    <div class="col-md-12 col-sm-12 col-xs-12 mg-bt-100">
        <div class="col-md-3 col-sm-3 col-xs-3"><b>Numero do Pedido</b></div>
        <div class="col-md-3 col-sm-3 col-xs-3"><b>Data</b></div>
        <div class="col-md-3 col-sm-3 col-xs-3"><b>Status</b></div>
        <?php
        foreach ($lista as $id => $dados) { ?>
        <div class="col-md-12 col-sm-12 col-xs-12" style="padding:20px 0;border-bottom:1px solid #212121;">
                <div class="col-md-3 col-sm-3 col-xs-3"><b>#<?= $dados['id'] ?></b></div>
                <div class="col-md-3 col-sm-3 col-xs-3"><?= mysql_to_data($dados['dt_cadastro'], false) ?></div>
                <div class="col-md-3 col-sm-3 col-xs-3"><?= $dados['status'] ?></div>
                <div class="col-md-3 col-sm-3 col-xs-3">
                    <a href="<?= URLRAIZ ?>detalhes-do-pedido.php?id=<?= $id ?>" class="detalhes-meus-pedidos" title="Ver detalhes do pedido">Detalhes do pedido</a>
                </div>
            </div>
        <?php
        }
        ?>
    </div>
    <?php
}
?>

<?php include "rodape.php"; ?>